// Определяем вывод RX
#define RX 8
// Определяем вывод TX
#define TX 9

// Подключаем библиотеку программного UART
#include <SoftwareSerial.h>

// Создаём объект программного UART
SoftwareSerial mySerial(RX, TX);

void setup(){
  Serial.begin(9600); // открываем последовательный порт 
  //для мониторинга действий в программе
   // ждём, пока не откроется монитор последовательного порта
  // для того, чтобы отследить все события в программе
  while (!Serial) {
  }
   // открываем Serial-соединение cо вторым компьютером
  mySerial.begin(9600);
}

void loop(){
  // считываем данные с компьютера1 и осылаем их компьютеру2
  serialPC1read();
  // считываем данные с компьютера2 и осылаем их компьютеру1
  serialPC2read();
}

void serialPC1read(){
  if (Serial.available() > 0) {
    // если приходят данные от пользователя
    mySerial.write(2);//указать номер адресата
    while (Serial.available() > 0) {
      // отправляем данные серверу
      mySerial.write(Serial.read());
    }
  }
}

void serialPC2read(){
    if (mySerial.available() > 0) {
      // если приходят данные c компьютера2
      while (mySerial.available() > 0) {
        // отправляем их компьютеру1
        Serial.write(mySerial.read());
    }
  }
}




